## org.apache.poi.hwpf.model.types
Class LFOLVLBaseAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.LFOLVLBaseAbstractType

    @Internal
    public abstract class LFOLVLBaseAbstractType

extends java.lang.Object

The LFOLVL structure contains information that is used to override the formatting information of a corresponding LVL.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Field Summary
`protected int` `field_1_iStartAt`
`protected int` `field_2_flags`

Constructor Summary
`protected` `LFOLVLBaseAbstractType()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`protected void` `fillFields(byte[] data, int offset)`
`int` `getFlags()` Get the flags field for the LFOLVLBase record.
`short` `getGrfhic()` A grfhic that specifies the HTML incompatibilities of the overriding level formatting
`byte` `getILvl()` An unsigned integer that specifies the zero-based level of the list that this overrides.
`int` `getIStartAt()` If fStartAt is set to 0x1, this is a signed integer that specifies the start-at value that overrides lvlf.iStartAt of the corresponding LVL.
`static int` `getSize()` Size of record
`short` `getUnused1()` Deprecated. This field should not be used according to specification
`byte` `getUnused2()` Deprecated. This field should not be used according to specification
`int` `hashCode()`
`boolean` `isFFormatting()` A bit that specifies whether lvl is an LVL that overrides the corresponding LVL
`boolean` `isFStartAt()` A bit that specifies whether this LFOLVL overrides the start-at value of the level.
`byte[]` `serialize()`
`void` `serialize(byte[] data, int offset)`
`void` `setFFormatting(boolean value)` Sets the fFormatting field value.
`void` `setFlags(int field_2_flags)` Set the flags field for the LFOLVLBase record.
`void` `setFStartAt(boolean value)` Sets the fStartAt field value.
`void` `setGrfhic(short value)` Sets the grfhic field value.
`void` `setILvl(byte value)` Sets the iLvl field value.
`void` `setIStartAt(int field_1_iStartAt)` If fStartAt is set to 0x1, this is a signed integer that specifies the start-at value that overrides lvlf.iStartAt of the corresponding LVL.
`void` `setUnused1(short value)` Sets the unused1 field value.
`void` `setUnused2(byte value)` Sets the unused2 field value.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_iStartAt

    protected int field_1_iStartAt

### field_2_flags

    protected int field_2_flags

Constructor Detail

### LFOLVLBaseAbstractType

    protected LFOLVLBaseAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### serialize

    public byte[] serialize()

### getSize

    public static int getSize()

  Size of record

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIStartAt

    @Internal
    public int getIStartAt()

  If fStartAt is set to 0x1, this is a signed integer that specifies the start-at value that overrides lvlf.iStartAt of the corresponding LVL. This value MUST be less than or equal to 0x7FFF and MUST be greater than or equal to zero. If both fStartAt and fFormatting are set to 0x1, or if fStartAt is set to 0x0, this value is undefined and MUST be ignored.

### setIStartAt

    @Internal
    public void setIStartAt(int field_1_iStartAt)

  If fStartAt is set to 0x1, this is a signed integer that specifies the start-at value that overrides lvlf.iStartAt of the corresponding LVL. This value MUST be less than or equal to 0x7FFF and MUST be greater than or equal to zero. If both fStartAt and fFormatting are set to 0x1, or if fStartAt is set to 0x0, this value is undefined and MUST be ignored.

### getFlags

    @Internal
    public int getFlags()

  Get the flags field for the LFOLVLBase record.

### setFlags

    @Internal
    public void setFlags(int field_2_flags)

  Set the flags field for the LFOLVLBase record.

### setILvl

    @Internal
    public void setILvl(byte value)

  Sets the iLvl field value. An unsigned integer that specifies the zero-based level of the list that this overrides. This LFOLVL overrides the LVL that specifies the level formatting of this level of the LSTF that is specified by the lsid field of the LFO to which this LFOLVL corresponds. This value MUST be less than or equal to 0x08

### getILvl

    @Internal
    public byte getILvl()

  An unsigned integer that specifies the zero-based level of the list that this overrides. This LFOLVL overrides the LVL that specifies the level formatting of this level of the LSTF that is specified by the lsid field of the LFO to which this LFOLVL corresponds. This value MUST be less than or equal to 0x08

  Returns:
    the iLvl field value.

### setFStartAt

    @Internal
    public void setFStartAt(boolean value)

  Sets the fStartAt field value. A bit that specifies whether this LFOLVL overrides the start-at value of the level.

### isFStartAt

    @Internal
    public boolean isFStartAt()

  A bit that specifies whether this LFOLVL overrides the start-at value of the level.

  Returns:
    the fStartAt field value.

### setFFormatting

    @Internal
    public void setFFormatting(boolean value)

  Sets the fFormatting field value. A bit that specifies whether lvl is an LVL that overrides the corresponding LVL

### isFFormatting

    @Internal
    public boolean isFFormatting()

  A bit that specifies whether lvl is an LVL that overrides the corresponding LVL

  Returns:
    the fFormatting field value.

### setGrfhic

    @Internal
    public void setGrfhic(short value)

  Sets the grfhic field value. A grfhic that specifies the HTML incompatibilities of the overriding level formatting

### getGrfhic

    @Internal
    public short getGrfhic()

  A grfhic that specifies the HTML incompatibilities of the overriding level formatting

  Returns:
    the grfhic field value.

### setUnused1

    @Internal
    public void setUnused1(short value)

  Sets the unused1 field value. This MUST be ignored

### getUnused1

    @Internal
    @Deprecated
    public short getUnused1()

  Deprecated. This field should not be used according to specification

  This MUST be ignored

  Returns:
    the unused1 field value.

### setUnused2

    @Internal
    public void setUnused2(byte value)

  Sets the unused2 field value. This MUST be ignored

### getUnused2

    @Internal
    @Deprecated
    public byte getUnused2()

  Deprecated. This field should not be used according to specification

  This MUST be ignored

  Returns:
    the unused2 field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.